### Method

# Atspi Selection get_selected_child

#### Declaration [src]

    AtspiAccessible*
    atspi_selection_get_selected_child (
      AtspiSelection* obj,
      gint selected_child_index,
      GError** error
    )

#### Description [src]

Gets the i-th selected `AtspiAccessible` child of an `AtspiSelection`. Note that `selected_child_index` refers to the index in the list of ‘selected’ children and generally differs from that used in #atspi_accessible_get_child_at_index or returned by #atspi_accessible_get_index_in_parent. `selected_child_index` must lie between 0 and #atspi_selection_get_n_selected_children - 1, inclusive.

#### Parameters

`selected_child_index`

  Type: `gint`

  A #gint indicating which of the selected children is specified.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AtspiAccessible`

A pointer to a selected `AtspiAccessible` child object, specified by `selected_child_index`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.